de.esprit.netsuite.server.pathtree.permission

## Class DirectoryPermissionDefinition

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.permission.PermissionDefinition
      - - de.esprit.netsuite.server.pathtree.permission.DirectoryPermissionDefinition

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class DirectoryPermissionDefinition
      extends PermissionDefinition

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryPermissionDefinition()`
    `DirectoryPermissionDefinition(EspritPermission... permissions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`

    - ### Methods inherited from class de.esprit.netsuite.server.permission.PermissionDefinition

      `addPermission, equals, fetchPermissionByName, getAssignablePermissions, getObjectName, getPermissionCount, getRenderColor, hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryPermissionDefinition

          public DirectoryPermissionDefinition()

    - #### DirectoryPermissionDefinition

          public DirectoryPermissionDefinition(EspritPermission... permissions)

  - ### Method Detail

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`
      Overrides:
        `getRenderIcon` in class `PermissionDefinition`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `PermissionDefinition`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.